Subject: Re: [clisp-list] lisp:socket-stream-peer

From: "Ribeiro, Glauber" <[email-masked]>
Date: Wed, 23 May 2001 12:13:21 -0700

To: [email-masked] (Don Cohen)
Cc: [email-masked]
Subject: Re: [clisp-list] lisp:socket-stream-peer
Reply-To: [email-masked]
From: Sam Steingold <[email-masked]>
Date: 23 May 2001 14:17:38 -0400

]> * In message <[email-masked]>
]> * On the subject of "Re: [clisp-list] lisp:socket-stream-peer"
]> * Sent on Wed, 23 May 2001 11:04:32 -0700 (PDT)
]> * Honorable [email-masked] (Don Cohen) writes:
]>
]>  > ext:socket-stream-peer is not a structure accessor.
]> Right.  I want the structure accessor.  Is there one?
]> If not, could it be added?
]> 
]> I want to know the IP address of the peer.  
]> 
]> So please tell me how I can get the IP address of the peer.
]> Right now I have to use socket-stream-peer to get a string and
]> then parse that to reconstruct the address.
]
]what do you need this for?
]
]We consider the IP address to be a low level detail which should not
]be exposed.

I can think of 2 reasons:

(1) to write it in a log (just want the ip address, can resolve it to a name
later if needed).

(2) to check that the connection is coming from an authorized place. Compare
the IP address to a list of acceptable users of the service, deny if it
isn't there.

glauber